<?php
/* -------------------------------------------------------------------------------------------------*
 *  「FFmpeg」のclassオブジェクトを利用したコンテナ変換の例
 *    mpeg→mp4、mpeg→flv、m2ts→mp4変換の例
 *  作成：2016.09.01 yoshi of CXMedia.co.jp
 * ------------------------------------------------------------------------------------------------ */
require_once 'ffmpegphp_lib/ffmpeg.class.php';
define("MOVE_DIR","mv_sample/");

/* -------------------------------------------------------------------------------------------------*
 *  『mpeg』形式を映像コーディック：「h264」にして、『flv』と『mp4』形式のビデオに変換出力する例
 * ------------------------------------------------------------------------------------------------ */
	// FFmpegクラスからオブジェクトを作成
	$FFmpeg = new FFmpeg(  'C:\FFmpeg\bin\ffmpeg.exe' );
	// input()メソッドで入力ファイルを読み込み、vcodec()メソッドで映像コーディック：「h264」にして、
	$FFmpeg->input( MOVE_DIR."cat.mpeg" )->vcodec('h264');
//	$FFmpeg->acodec('libmp3lame'); // 音声変換が必要な時
	// output()メソッドで出力フォーマット、ready()メソッドで実行
	$FFmpeg->output( MOVE_DIR."cat.flv" )->ready();
	$FFmpeg->output( MOVE_DIR."cat.mp4" )->ready();
	
	// 出力した動画を表示確認
	echo '『mpeg』形式を『flv』と『mp4』形式のビデオに変換出力','<br>';
	echo '<video autoplay controls src="'.MOVE_DIR."cat.mp4".'"></video>','<br>';

/* --------------------------------------------------------------------------------------------*
 *  ビデオ撮影した「m2ts」形式の「1920x1080」動画を
 *    映像コーディック：「h264」にし、「960x540」サイズの『MP4』形式に変換出力
 * ------------------------------------------------------------------------------------------- */
	// FFmpegクラスからオブジェクトを作成
	// input()メソッドで入力ファイルを読み込み、vcodec()メソッドで映像コーディック：「h264」にし、
	$FFmpeg->input( MOVE_DIR."test_movie.m2ts" )->vcodec('h264');
	// size()メソッドでサイズ指定
	$FFmpeg->size('480x270');
	// output()メソッドで出力フォーマット、ready()メソッドで実行
	$FFmpeg->output( MOVE_DIR."test_movie.mp4" )->ready();
	
	// 出力した動画を表示確認
	echo '撮影した「m2ts」の「1920x1080」ビデオを「480x270」サイズにして、『MP4』形式に変換出力','<br>';
	echo '<video autoplay controls src="'.MOVE_DIR."test_movie.mp4".'"></video>';
?>
